Wallets, tokens & networks

Get Test Txn Approval Pending Wallets

Lists PENDING_TXN_APPROVAL wallets for a role, defaulting to the caller.

GEThttps://api.toku.com/tga/get-test-txn-approval-pending-wallets

Required scope: banking:read. With an API key, roleInOrgID must be set: a key has no person of its own.

curl --request GET \
  --url 'https://api.toku.com/tga/get-test-txn-approval-pending-wallets' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "network": "string",
    "name": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "legacyMigratedAt": "string",
    "legacyModelID": 0,
    "status": "string",
    "address": "string",
    "roleInOrgID": "string",
    "destinationTag": 0,
    "tokenTypeID": "string",
    "isCurrent": true,
    "investorEntityID": "string",
    "walletID": "string",
    "memo": "string",
    "walletType": "string",
    "orgNetworkID": "string",
    "isDefault": true,
    "walletTypeCustomID": "string",
    "nickName": "string",
    "connectedViaMesh": true,
    "userDismissed": true,
    "walletVerificationRequest": {},
    "orgNetwork": {},
    "walletTypeCustom": {}
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

roleInOrgIDstring

Response

200Successful response
networkstring | null
namestring | null
createdAtstring | null
updatedAtstring | null
legacyMigratedAtstring | null
legacyModelIDnumber | null
statusstring | null
addressstring | null
roleInOrgIDstring | null
destinationTagnumber | null
tokenTypeIDstring | null
isCurrentboolean | null
investorEntityIDstring | null
walletIDstring | null
memostring | null
walletTypestring | null
orgNetworkIDstring | null
isDefaultboolean | null
walletTypeCustomIDstring | null
nickNamestring | null
connectedViaMeshboolean | null
userDismissedboolean | null
walletVerificationRequestobject | null
orgNetworkobject | null
walletTypeCustomobject | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits